Libosmium 2.22.0 Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Namespaces | Functions
taglist.hpp File Reference
`#include <osmium/osm/tag.hpp>`
`#include <algorithm>`
`#include <functional>`
`#include <utility>`
Include dependency graph for taglist.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | osmium
| Namespace for everything in the Osmium library.
namespace | osmium::tags
| Code related to working with OSM tags.

## Functions
template<typename TFilter >
bool | osmium::tags::match_any_of (const osmium::TagList &tag_list, const TFilter &filter)
template<typename TFilter >
bool | osmium::tags::match_all_of (const osmium::TagList &tag_list, const TFilter &filter)
template<typename TFilter >
bool | osmium::tags::match_none_of (const osmium::TagList &tag_list, const TFilter &filter)